Publications

Approve a publication and schedule the reviewed revision

POST
/api/projects/{projectId}/publications/{publicationId}/approval-request/approve

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Request Body

  1. body
scheduledAt?integer
Range0 <= value
publishNow?boolean

Response Body

Response for status 200

application/json
  1. response
publication*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/publications/string/approval-request/approve' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "publication": {
    "id": "string",
    "projectId": "string",
    "postId": "string",
    "channelId": "string",
    "targetRevisionId": "string",
    "deliveryMode": "manual",
    "reviewState": "compatible",
    "state": "draft",
    "scheduledAt": -9007199254740991,
    "publishedAt": -9007199254740991,
    "externalId": "string",
    "externalUrl": "string",
    "errorMessage": "string",
    "createdByActorId": "string",
    "scheduledByActorId": "string",
    "stateChangedByActorId": "string",
    "publishedByActorId": "string",
    "lastAssessedProfileVersionId": "string",
    "createdAt": -9007199254740991,
    "updatedAt": -9007199254740991,
    "profileAssessmentIssues": [
      {}
    ]
  }
}

Was this page helpful?